# Generated from yaml_settings-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yaml_settings

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: Load and merge application settings from YAML files
License: ISC
URL: https://ecentryx.com/gems/yaml_settings
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(bacon) >= 1.2
# BuildRequires: rubygem(bacon) < 2
BuildArch: noarch

%description
YAMLSettings loads and recursively merges settings from one or more YAML data
files. A settings group—specified by key (e.g., environment variable)—is
merged
with any default settings to create a coherent hash of settings.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.rdoc_options
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/yaml_settings.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.0.6-1
- Initial package
